/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AssignmentCreationResquest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AssignmentCreationResquest {
  @SerializedName("provider_id")
  private String providerId = null;

  @SerializedName("customer_id")
  private String customerId = null;

  @SerializedName("quote_id")
  private String quoteId = null;

  @SerializedName("service")
  private String service = null;

  @SerializedName("place_type")
  private String placeType = null;

  @SerializedName("vehicle")
  private Vehicle vehicle = null;

  @SerializedName("current_location")
  private Model21 currentLocation = null;

  @SerializedName("destination_location")
  private Model22 destinationLocation = null;

  @SerializedName("to_schedule_on")
  private String toScheduleOn = null;

  public AssignmentCreationResquest providerId(String providerId) {
    this.providerId = providerId;
    return this;
  }

   /**
   * Provider unique identifier.
   * @return providerId
  **/
  @ApiModelProperty(required = true, value = "Provider unique identifier.")
  public String getProviderId() {
    return providerId;
  }

  public void setProviderId(String providerId) {
    this.providerId = providerId;
  }

  public AssignmentCreationResquest customerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

   /**
   * Customer unique identifier.
   * @return customerId
  **/
  @ApiModelProperty(value = "Customer unique identifier.")
  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public AssignmentCreationResquest quoteId(String quoteId) {
    this.quoteId = quoteId;
    return this;
  }

   /**
   * Quote identifier.
   * @return quoteId
  **/
  @ApiModelProperty(value = "Quote identifier.")
  public String getQuoteId() {
    return quoteId;
  }

  public void setQuoteId(String quoteId) {
    this.quoteId = quoteId;
  }

  public AssignmentCreationResquest service(String service) {
    this.service = service;
    return this;
  }

   /**
   * The requested service. Expected values: \&quot;TOWING\&quot;, \&quot;CRANING\&quot;, \&quot;ROADSIDE_REPAIR\&quot;
   * @return service
  **/
  @ApiModelProperty(example = "TOWING", value = "The requested service. Expected values: \"TOWING\", \"CRANING\", \"ROADSIDE_REPAIR\"")
  public String getService() {
    return service;
  }

  public void setService(String service) {
    this.service = service;
  }

  public AssignmentCreationResquest placeType(String placeType) {
    this.placeType = placeType;
    return this;
  }

   /**
   * Place type where the vehicle is parked. Expect values: \&quot;BASEMENT\&quot;, \&quot;HIGHWAY\&quot;, \&quot;MULTISTOREY_PARK\&quot;, \&quot;OTHER\&quot;.
   * @return placeType
  **/
  @ApiModelProperty(example = "BASEMENT", value = "Place type where the vehicle is parked. Expect values: \"BASEMENT\", \"HIGHWAY\", \"MULTISTOREY_PARK\", \"OTHER\".")
  public String getPlaceType() {
    return placeType;
  }

  public void setPlaceType(String placeType) {
    this.placeType = placeType;
  }

  public AssignmentCreationResquest vehicle(Vehicle vehicle) {
    this.vehicle = vehicle;
    return this;
  }

   /**
   * Get vehicle
   * @return vehicle
  **/
  @ApiModelProperty(value = "")
  public Vehicle getVehicle() {
    return vehicle;
  }

  public void setVehicle(Vehicle vehicle) {
    this.vehicle = vehicle;
  }

  public AssignmentCreationResquest currentLocation(Model21 currentLocation) {
    this.currentLocation = currentLocation;
    return this;
  }

   /**
   * Get currentLocation
   * @return currentLocation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model21 getCurrentLocation() {
    return currentLocation;
  }

  public void setCurrentLocation(Model21 currentLocation) {
    this.currentLocation = currentLocation;
  }

  public AssignmentCreationResquest destinationLocation(Model22 destinationLocation) {
    this.destinationLocation = destinationLocation;
    return this;
  }

   /**
   * Get destinationLocation
   * @return destinationLocation
  **/
  @ApiModelProperty(value = "")
  public Model22 getDestinationLocation() {
    return destinationLocation;
  }

  public void setDestinationLocation(Model22 destinationLocation) {
    this.destinationLocation = destinationLocation;
  }

  public AssignmentCreationResquest toScheduleOn(String toScheduleOn) {
    this.toScheduleOn = toScheduleOn;
    return this;
  }

   /**
   * Date and time requested by the customer to schedule the service - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ).
   * @return toScheduleOn
  **/
  @ApiModelProperty(value = "Date and time requested by the customer to schedule the service - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ).")
  public String getToScheduleOn() {
    return toScheduleOn;
  }

  public void setToScheduleOn(String toScheduleOn) {
    this.toScheduleOn = toScheduleOn;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AssignmentCreationResquest assignmentCreationResquest = (AssignmentCreationResquest) o;
    return Objects.equals(this.providerId, assignmentCreationResquest.providerId) &&
        Objects.equals(this.customerId, assignmentCreationResquest.customerId) &&
        Objects.equals(this.quoteId, assignmentCreationResquest.quoteId) &&
        Objects.equals(this.service, assignmentCreationResquest.service) &&
        Objects.equals(this.placeType, assignmentCreationResquest.placeType) &&
        Objects.equals(this.vehicle, assignmentCreationResquest.vehicle) &&
        Objects.equals(this.currentLocation, assignmentCreationResquest.currentLocation) &&
        Objects.equals(this.destinationLocation, assignmentCreationResquest.destinationLocation) &&
        Objects.equals(this.toScheduleOn, assignmentCreationResquest.toScheduleOn);
  }

  @Override
  public int hashCode() {
    return Objects.hash(providerId, customerId, quoteId, service, placeType, vehicle, currentLocation, destinationLocation, toScheduleOn);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AssignmentCreationResquest {\n");
    
    sb.append("    providerId: ").append(toIndentedString(providerId)).append("\n");
    sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
    sb.append("    quoteId: ").append(toIndentedString(quoteId)).append("\n");
    sb.append("    service: ").append(toIndentedString(service)).append("\n");
    sb.append("    placeType: ").append(toIndentedString(placeType)).append("\n");
    sb.append("    vehicle: ").append(toIndentedString(vehicle)).append("\n");
    sb.append("    currentLocation: ").append(toIndentedString(currentLocation)).append("\n");
    sb.append("    destinationLocation: ").append(toIndentedString(destinationLocation)).append("\n");
    sb.append("    toScheduleOn: ").append(toIndentedString(toScheduleOn)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

